**`MICHAEL J. GIELNIAK`[NAME]** -NL- **`jgielniak@hotmail.com`[EMAILS_EMAIL]** -NL- **`(586) 623-9168 `[PHONES_PHONE]**-NL- www.linkedin.com/in/gielniak -NL- U.S. Citizen -NL- **`TECHNICAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Insight Global/Systems Plus`[EMPLOYER_COMPANY_NAME]** (Contracted to U.S. SOCOM) -NL- **`Consultant`[EMPLOYER_ROLE]**, Big Data, Artificial Intelligence & Machine Learning -NL- January 2019 – Present -NL- Responsible for mining data to yield information, relationships, trends, and models. Working in a team -NL- structure to design tools and user interaction (user experience) with data-driven models. -NL- ▪ Data mining using various tools such as R, Python, and Matlab to extract information and statistics -NL- from multiple data sources -NL- ▪ Balancing unbalanced data sets to improve data-driven model trustworthiness (e.g. synthetic minority -NL- over sampling technique) -NL- ▪ Reducing dimensionality of large data sources based on correlation and association of relevant -NL- features to desired output (e.g. learning vector quantization, principle component analysis, multiple -NL- correspondence analysis) -NL- ▪ Developing, training, and testing machine learning models to improve decision-making and optimize -NL- processes (e.g. regression tree, support vector machine, random forest, naïve Bayes) -NL- ▪ Designing user experiences and software for interacting with developed machine learning-based -NL- (data-driven) models -NL- ▪ Creation of visualizations that succinctly capture key relationships, trends, and statistics discovered -NL- when mining data sources -NL- ▪ Developed and implemented a novel algorithm for predicting early failure of components and -NL- estimating time remaining until unplanned maintenance events for aircraft -NL- ▪ Created a cloud-based, real-time optimization for making decisions on resource allocation (usage, -NL- distribution, application) to reduce cost and improve available inventory -NL- ▪ Granted Interim Top Secret U.S. Government clearance -NL- **`Sphero/Misty Robotics`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Engineer`[EMPLOYER_ROLE]**, Robot Personality -NL- February 2016 – December 2018 -NL- Responsible for designing and engineering the internal state of the robot and the algorithms the robot -NL- uses to express that internal state externally. In charge of creating and programming the decision- -NL- making system and the software that dictates behaviors used by the robot for engaging with humans and -NL- the world around it. -NL- ▪ Designed and implemented real-time algorithms in C# for transforming sensed world into data -NL- representations of the objects and world that are meaningful for the robot and can be acted upon -NL- ▪ Developed and coded real-time algorithms in C# for expressing state information via available robot -NL- outputs (color, light, sound, display, facial expression, motion, etc.) so the robot can effectively -NL- communicate its internal state to surrounding humans -NL- ▪ Architected and implemented real-time algorithms in C# for robot decision-making and behavior -NL- selection to give the robot intent, purpose, goals, and essentially a “life” of its own -NL- ▪ Implemented and tuned real-time PID control and motor control algorithms in C language in firmware -NL- code so robot could move fluidly and smoothly under all external conditions and loads -NL- ▪ Responsible for real-time parameterized trajectory design and synthesis of motion (both local & -NL- global) to avoid repetitive motion and provide the robot with an infinite number of ways to move and -NL- accomplish tasks -NL- ▪ Deployed and debugged C# code on Qualcomm processors (410C, 820) for the Windows 10 IoT core -NL- operating system, so both ARM and x86/x64 code could be run on the processor -NL- Page 2 -NL- ▪ Designed and implemented equations for dynamical systems in code to represent time-varying robot -NL- internal state information, so the robot will be perceived to have internal states similar to a pet -NL- ▪ Designed and wrote tools, such as data visualizations, full kinematic and dynamic simulations of -NL- hardware, augmented reality interfaces, and puppeting tools for the robot using packages such as -NL- three.js, node.js, open dynamics engine, and AR toolkit, so users can interface with and interact with -NL- the robot in rich and various ways -NL- ▪ Developed and implemented a web-based API tool suite in Javascript for basic robot commands, -NL- such as change led, drive forward, etc., to create a programming/scripting interface for the robot that -NL- could be used by Javascript developers -NL- ▪ Adapted Blockly as a means for robot control code (both the back-end and front end of Blockly) in -NL- Javascript, so children could play with and interface with the robot by dragging and dropping blocks -NL- that represent higher-level robot commands into a workspace and then execute their sequence on the -NL- robot hardware -NL- ▪ Performed exploratory product technology reviews of currently available state-of-the art to support -NL- technology sourcing/feature selection/implementation decisions that were made for the product, in -NL- order to balance the desire for latest technology but also account for technology readiness -NL- ▪ Debugged hardware issues extensively and on a daily basis: SPI bus, FPGA, CAN bus, real-time -NL- controller board, motor controller board, UART, wiring issues, etc. -NL- ▪ Used ROS (robot operating system) for rapid prototyping of potential design and feature inclusion -NL- options, so that we could see the benefit of the ultimate goal early, and iterate toward it in our design -NL- ▪ Invented a novel machine learning technique to solve targeted and evolving speech synthesis that -NL- would allow the robot to sound similar in tone and cadence to its owner’s speech, but speak by -NL- modulating a customizable characteristic waveform instead of human language -NL- ▪ Created a novel trajectory synthesis process for navigation and robot motion path planning that allows -NL- the robot to express internal state during locomotion -NL- ▪ Designed and conducted user studies for evaluation and feedback on robot design -NL- ▪ Composed and fused data from many sensors (time-of-flight, ultrasonic, capacitive touch, 4k/HD -NL- cameras, depth cameras, bump sensors, etc.) into a singular representation of the world to support -NL- the robot’s internal decision-making mechanisms -NL- ▪ Performed in-depth studies of sensors for characterization purposes, so that signal processing of raw -NL- sensor streams could be performed, where necessary, to synthesize more meaningful and richer -NL- outputs and to better serve customers’ needs -NL- **`Schlumberger`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Engineer`[EMPLOYER_ROLE]**, Drilling Automation -NL- March 2013 - December 2015 -NL- Responsible for improving the current process of drilling oil wells by automating failure detection, state -NL- estimation, wellbore path planning, and software testing as part of a very ambitious project to convert a -NL- drilling rig into a fully autonomous system that requires no human involvement. -NL- ▪ Designed and implemented real-time algorithms for detection of down-hole and surface-based drilling -NL- events & failures to reduce equipment loss, minimize repair costs, and drill to reservoirs more quickly -NL- ▪ Developed and released automated well trajectory re-planning software used in real-time optimization -NL- of oil well drilling to improve the wellbore for more optimal production & fewer equipment failures, -NL- while minimizing total drilling time -NL- ▪ Invented a dynamic planner and extended the representation framework in PDDL to create an -NL- automated scheduler of events/tasks that could optimally plan a path from an initial rig state to a -NL- desired, target goal state for a fully-autonomous drilling rig system -NL- ▪ Proposed a distributed sensor system that would revolutionize drilling data and improve the integrity -NL- of algorithms and models to enable the prediction of drilling failures far in advance of their occurrence -NL- ▪ Developed and implemented two single-input, single-output algorithms for predicting pipe rocking -NL- status/state on a drilling rig -NL- Page 3 -NL- ▪ Created automated testing software to validate and verify team-developed software against user -NL- scenarios upon each check-in to the repository, which was used to reduce logic-based code errors -NL- and allowed management to track key software metrics over time -NL- ▪ Authored an internally-published paper that examined the use of a continuous, linear, dynamic -NL- planner to make decisions and optimally schedule tasks making use of two key extensions needed for -NL- real-world applications: sematic attachment and continuous numeric effects -NL- **`Georgia Institute of Technology`[EMPLOYER_COMPANY_NAME]** & Emory University -NL- **`Postdoctoral Fellow`[EMPLOYER_ROLE]**, School of Biomedical Engineering -NL- January 2012- March 2013 -NL- Self-directed, independent study of tactile and haptic communication for coupled human-robot -NL- collaborative tasks. Responsible for designing robot controllers in C/C++ based on adaptive and -NL- predictive methods to model and predict human actions in real-time so that the robot becomes an equal -NL- or superior partner based on human collaborator’s abilities. -NL- ▪ Developed dynamic simulations and models for coupled human-robot collaborative tasks such as -NL- table moving, double dutch (jump rope), and dancing (robot leader and robot follower as a partner) -NL- ▪ Explored human-robot communication through haptic forces under full-sensory awareness of the -NL- human partner when the robot is deprived of all other sensing mechanisms -NL- ▪ Wrote software that dynamically modeled the human partner using only data sensed by the robot in -NL- real-time during coupled collaborative human-robot tasks -NL- ▪ Designed adaptive robotic controllers in C/C++ using real-time physics -NL- ▪ Used optimal, adaptive, and predictive control methods for navigation and robot motion path planning -NL- during response to human partners' actions -NL- ▪ Led the development of a real-time motion capture retargeting and tracking algorithm for a 13-camera -NL- Vicon motion capture system (human motion data projected onto robot hardware) -NL- ▪ Responsible for the fusion of force, vision, haptic, and motion sensor data in real-time and the -NL- software to predict future sensor state from past data -NL- ▪ Wrote networking code for minimum latency communication between robotic hardware, sensor -NL- systems, and PC-based software -NL- ▪ Developed a wireless communication protocol for use between an embedded processor and a 15 -NL- degree-of-freedom robot -NL- ▪ Performed user studies and human-participant-based research experiments with robots to decrease -NL- software development time, improve functionality, and validate algorithms -NL- ▪ Hosted a weekly meeting for discussion of robot journal articles and conference publications -NL- **`Georgia Institute of Technology `[EDUCATION_INSTITUTE]**-NL- **`Research Assistant`[EMPLOYER_ROLE]**, Robotics -NL- January 2008- December 2011 -NL- Study of human motion as a mechanism to improve human-robot interaction for social humanoid robotic -NL- applications. Responsible for the development of a fully-functional 38-degree-of-freedom robot platform -NL- and all the sensor systems necessary to support real-world functionality. -NL- ▪ Wrote software in python, java, C/C++, and robot operating system (ROS) framework to integrate an -NL- ethercat network of sensors, real-time computers, controllers, predictive software, and robotic -NL- hardware into a cohesive system and control a 38-DOF humanoid robot platform -NL- ▪ Designed robot controllers that synthesize human-like motion to improve humans’ experience and -NL- satisfaction when interacting with robot collaborators -NL- ▪ Developed autonomous algorithms to encode communication into robot motion to increase state -NL- transparency and improve motion appearance -NL- ▪ Researched a quantitative metric for natural motion in order to quantify motion quality -NL- Page 4 -NL- ▪ Advanced state-of-the-art in motion variance by using a single exemplar to generate an infinite -NL- number of versions of that template motion -NL- ▪ Created and implemented a collision detection and avoidance system to improve robot safety -NL- ▪ Co-designed a 19-DOF robot head, including design and construction of LED boards for ears -NL- ▪ Integrated Microsoft speech, faceLAB (face and eye tracking), open-CV vision code (five camera -NL- system), and haptic sensor data (data gloves) for multimodal robot sensing to improve robot decision- -NL- making capabilities and increase the responsiveness to human partners -NL- ▪ Fused torque sensor data from the feedback response of objects in robot fingers and hands to create -NL- a dynamic grasp strategy that applies enough slip force without crushing objects during manipulation -NL- ▪ Modeled hardware in Solidworks 3-D CAD software and Autodesk Maya 3-D animation software -NL- ▪ Developed an accurate dynamic (physics-based) simulation of the robot from 3-D CAD models, and -NL- input robot sensor data to accurately represent sensed objects in the virtual world in real-time -NL- ▪ Applied machine learning techniques to enable the robot to build a model of its world and classify -NL- sensed objects with and without the assistance of humans (e.g. for recognition, sorting tasks) -NL- ▪ Developed retargeting optimization software to project human motion capture data from a 12-camera -NL- Vicon motion capture system to robot hardware to preserve maximal amounts of data -NL- ▪ Expanded operational space control to apply to additional tasks that are beneficial to social robots, -NL- such as synchronization and coupled tasks that have timing constraints -NL- ▪ Performed more than 40 experiments and user studies with more than 2,000 human participants to -NL- collect both quantitative and qualitative data (from surveys, questionnaires, etc.) for the assessment -NL- of algorithm and robot performance -NL- **`General Motors`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Engineer`[EMPLOYER_ROLE]**, Software & Modeling -NL- June 2000- September 2009 -NL- Leader of software and modeling teams for 17 different vehicle programs. Owner of battery models and -NL- simulations for 14 concurrent programs. Responsible for electrochemical system state estimation -NL- embedded software and co-author of software & algorithm specifications and test protocols. -NL- ▪ Developed software for EV/HEV component model simulations for 17 vehicle programs -NL- ▪ Integrated subsystem models into vehicle models and ran fuel economy and performance simulations -NL- to support component sizing and vehicle requirements specifications -NL- ▪ Led software & modeling teams for on-time delivery of code according to project schedules -NL- ▪ Designed and coded automated tools/software to increase efficiency of software and software -NL- development process -NL- ▪ Optimized code (embedded and non-embedded) for controller limits, efficiency, and other constraints -NL- (e.g. memory size, throughput) -NL- ▪ Used Matlab real-time workshop to generate "autocode" (auto-generated embedded software) from -NL- Simulink models that could be downloaded into target vehicle controllers -NL- ▪ Calibrated code in real-time on-vehicle using CANape to alter calibrations and CANalyzer to monitor -NL- CAN bus information -NL- ▪ Performed model/software verification, correlation, & validation analyses to accurately test code and -NL- designs prior to release (on bench & in-vehicle) -NL- ▪ Designed, developed, implemented, and tested state estimation algorithms to predict battery state-of- -NL- charge, state-of-health, and state-of-age -NL- ▪ Awarded seven patents for novel methods developed in algorithm development work -NL- ▪ Mentored Kettering University students’ senior design projects -NL- Page 5 -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Georgia Institute of Technology`[EMPLOYER_COMPANY_NAME]** -NL- **`Ph.D`[EDUCATION_DEGREE]** in **`Electrical Engineering`[EDUCATION_COURSE]** -NL- **`Master’s Degree`[EDUCATION_DEGREE]** in **`Electrical Engineering`[EDUCATION_COURSE]** -NL- **`Oakland University `[EDUCATION_INSTITUTE]**-NL- **`Master’s`[EDUCATION_DEGREE]** Degree in **`Computer Science`[EDUCATION_COURSE]** -NL- **`University of Michigan - Dearborn `[EDUCATION_INSTITUTE]**-NL- **`Master’s Degree`[EDUCATION_DEGREE]** in Systems Engineering -NL- **`Lawrence Institute of Technology `[EDUCATION_INSTITUTE]**-NL- **`Bachelor’s Degree`[EDUCATION_DEGREE]** in **`Electrical Engineering`[EDUCATION_COURSE]** -NL- 